petsc-3.4.2 2013-07-02

# PetscDTLegendreEval

evaluate Legendre polynomial at points

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTLegendreEval(PetscInt npoints,const PetscReal *points,PetscInt ndegree,const PetscInt *degrees,PetscReal *B,PetscReal *D,PetscReal *D2)

Not Collective

### Input Arguments

| npoints | - number of spatial points to evaluate at
| points | - array of locations to evaluate at
| ndegree | - number of basis degrees to evaluate
| degrees | - sorted array of degrees to evaluate

### Output Arguments

| B | - row-oriented basis evaluation matrix B[point*ndegree + degree] (dimension npoints*ndegrees, allocated by caller) (or NULL)
| D | - row-oriented derivative evaluation matrix (or NULL)
| D2 | - row-oriented second derivative evaluation matrix (or NULL)

### See Also

PetscDTGaussQuadrature()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages